Uploaded image for project: 'Beam'
  1. Beam
  2. BEAM-7673

README.md doesn't mention that Docker is required for build

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Minor
    • Resolution: Unresolved
    • Affects Version/s: None
    • Fix Version/s: None
    • Component/s: website
    • Labels:
      None

      Description

      README.md on github says:

      If you'd like to build and install the whole project from the source distribution, you may need some additional tools installed in your system. In a Debian-based distribution:

      sudo apt-get install \
      openjdk-8-jdk \
      python-setuptools \
      python-pip \
      virtualenv

      That's correct as far as it goes, but it's incomplete. .gradlew will fail in task ':website:buildDockerImage' unless docker is installed and running.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              elharo Elliotte Rusty Harold
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: